﻿using System;
using System.Collections.Generic;
using System.Text;
using Obvious.Framework.Logging.Abstracts;

namespace Obvious.Framework.Logging.Implementation
{
    internal class DBLogProvider : LoggingProvider
    {
        #region Private Properties
        string _DBServer;
        string _DBLogCatalog;
        string _DBUserName;
        string _DBPassword;
        #endregion

        #region Constructor
        internal DBLogProvider()
        { }
        internal DBLogProvider(string configName) : base(configName)
        {
            SetConfig();
        }
        #endregion

        private void SetConfig()
        {
            this._DBServer = this.ConfigElement.DBLogServer;
            this._DBLogCatalog = this.ConfigElement.DBLogCatalog;
            this._DBUserName = this.ConfigElement.DBUserName;
            this._DBPassword = this.ConfigElement.DBPwd;
        }
        
        public override void Log(Obvious.Framework.Logging.Interfaces.ILog log)
        {
            throw new NotImplementedException();
        }

        public override void Log(string logMessage, DateTime logDateTime)
        {
            throw new NotImplementedException();
        }

        public override void Log(string logMessage, DateTime logDateTime, bool isAsyncLogging)
        {
            throw new NotImplementedException();
        }

        public override void Log(string logMessage)
        {
            throw new NotImplementedException();
        }

        public override void Log(string logMessage, bool isAsyncLogging)
        {
            throw new NotImplementedException();
        }
    }
}
